org.eclipse.oomph.setup.impl

## Class SetupFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.oomph.setup.impl.SetupFactoryImpl

- All Implemented Interfaces:
    Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BinaryResourceImpl.DataConverter.Factory, SetupFactory

      public class SetupFactoryImpl
      extends EFactoryImpl
      implements SetupFactory

  An implementation of the model Factory.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetupFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertLicenseInfoToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertScopeTypeToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertTriggerSetToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertTriggerToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertUnsignedPolicyToString(EDataType eDataType, Object instanceValue)`
    `String` | `convertVariableTypeToString(EDataType eDataType, Object instanceValue)`
    `EObject` | `create(EClass eClass)`
    `AttributeRule` | `createAttributeRule()`
    `CatalogSelection` | `createCatalogSelection()`
    `CompoundTask` | `createCompoundTask()`
    `CompoundTask` | `createCompoundTask(String name)`
    `EclipseIniTask` | `createEclipseIniTask()`
    `Object` | `createFromString(EDataType eDataType, String initialValue)`
    `EObject` | `createGen(EClass eClass)`
    `Index` | `createIndex()`
    `Installation` | `createInstallation()`
    `InstallationTask` | `createInstallationTask()`
    `Map.Entry<Installation,EList<Workspace>>` | `createInstallationToWorkspacesMapEntry()`
    `LicenseInfo` | `createLicenseInfoFromString(EDataType eDataType, String initialValue)`
    `LinkLocationTask` | `createLinkLocationTask()`
    `LocationCatalog` | `createLocationCatalog()`
    `PreferenceTask` | `createPreferenceTask()`
    `Product` | `createProduct()`
    `ProductCatalog` | `createProductCatalog()`
    `Map.Entry<Product,ProductVersion>` | `createProductToProductVersionMapEntry()`
    `ProductVersion` | `createProductVersion()`
    `Project` | `createProject()`
    `ProjectCatalog` | `createProjectCatalog()`
    `Map.Entry<Project,Stream>` | `createProjectToStreamMapEntry()`
    `RedirectionTask` | `createRedirectionTask()`
    `ResourceCopyTask` | `createResourceCopyTask()`
    `ResourceCreationTask` | `createResourceCreationTask()`
    `ScopeType` | `createScopeTypeFromString(EDataType eDataType, String initialValue)`
    `Stream` | `createStream()`
    `StringSubstitutionTask` | `createStringSubstitutionTask()`
    `TextModification` | `createTextModification()`
    `TextModifyTask` | `createTextModifyTask()`
    `Trigger` | `createTriggerFromString(EDataType eDataType, String initialValue)`
    `Set<Trigger>` | `createTriggerSetFromString(EDataType eDataType, String initialValue)`
    `UnsignedPolicy` | `createUnsignedPolicyFromString(EDataType eDataType, String initialValue)`
    `User` | `createUser()`
    `VariableChoice` | `createVariableChoice()`
    `VariableTask` | `createVariableTask()`
    `VariableType` | `createVariableTypeFromString(EDataType eDataType, String initialValue)`
    `Workspace` | `createWorkspace()`
    `WorkspaceTask` | `createWorkspaceTask()`
    `Map.Entry<Workspace,EList<Installation>>` | `createWorkspaceToInstallationsMapEntry()`
    `static SetupPackage` | `getPackage()` Deprecated.
    `SetupPackage` | `getSetupPackage()`
    `static SetupFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### SetupFactoryImpl

          public SetupFactoryImpl()

      Creates an instance of the factory.
      Generated

  - ### Method Detail

    - #### init

          public static SetupFactory init()

      Creates the default factory implementation.
      Generated

    - #### createGen

          public EObject createGen(EClass eClass)

      Generated

    - #### create

          public EObject create(EClass eClass)

      Specified by:
        `create` in interface `EFactory`
      Overrides:
        `create` in class `EFactoryImpl`

    - #### createFromString

          public Object createFromString(EDataType eDataType,
                                String initialValue)

      Specified by:
        `createFromString` in interface `EFactory`
      Overrides:
        `createFromString` in class `EFactoryImpl`
      Generated

    - #### convertToString

          public String convertToString(EDataType eDataType,
                               Object instanceValue)

      Specified by:
        `convertToString` in interface `EFactory`
      Overrides:
        `convertToString` in class `EFactoryImpl`
      Generated

    - #### createIndex

          public Index createIndex()

      Specified by:
        `createIndex` in interface `SetupFactory`
      Returns:
        a new object of class 'Index'.
      Generated

    - #### createCatalogSelection

          public CatalogSelection createCatalogSelection()

      Specified by:
        `createCatalogSelection` in interface `SetupFactory`
      Returns:
        a new object of class 'Catalog Selection'.
      Generated

    - #### createUser

          public User createUser()

      Specified by:
        `createUser` in interface `SetupFactory`
      Returns:
        a new object of class 'User'.
      Generated

    - #### createProject

          public Project createProject()

      Specified by:
        `createProject` in interface `SetupFactory`
      Returns:
        a new object of class 'Project'.
      Generated

    - #### createStream

          public Stream createStream()

      Specified by:
        `createStream` in interface `SetupFactory`
      Returns:
        a new object of class 'Stream'.
      Generated

    - #### createInstallation

          public Installation createInstallation()

      Specified by:
        `createInstallation` in interface `SetupFactory`
      Returns:
        a new object of class 'Installation'.
      Generated

    - #### createProductCatalog

          public ProductCatalog createProductCatalog()

      Specified by:
        `createProductCatalog` in interface `SetupFactory`
      Returns:
        a new object of class 'Product Catalog'.
      Generated

    - #### createProduct

          public Product createProduct()

      Specified by:
        `createProduct` in interface `SetupFactory`
      Returns:
        a new object of class 'Product'.
      Generated

    - #### createProductVersion

          public ProductVersion createProductVersion()

      Specified by:
        `createProductVersion` in interface `SetupFactory`
      Returns:
        a new object of class 'Product Version'.
      Generated

    - #### createProjectCatalog

          public ProjectCatalog createProjectCatalog()

      Specified by:
        `createProjectCatalog` in interface `SetupFactory`
      Returns:
        a new object of class 'Project Catalog'.
      Generated

    - #### createInstallationTask

          public InstallationTask createInstallationTask()

      Specified by:
        `createInstallationTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Installation Task'.
      Generated

    - #### createWorkspaceTask

          public WorkspaceTask createWorkspaceTask()

      Specified by:
        `createWorkspaceTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Workspace Task'.
      Generated

    - #### createCompoundTask

          public CompoundTask createCompoundTask()

      Specified by:
        `createCompoundTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Compound Task'.
      Generated

    - #### createVariableTask

          public VariableTask createVariableTask()

      Specified by:
        `createVariableTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Variable Task'.
      Generated

    - #### createResourceCopyTask

          public ResourceCopyTask createResourceCopyTask()

      Specified by:
        `createResourceCopyTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Resource Copy Task'.
      Generated

    - #### createTextModifyTask

          public TextModifyTask createTextModifyTask()

      Specified by:
        `createTextModifyTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Text Modify Task'.
      Generated

    - #### createTextModification

          public TextModification createTextModification()

      Specified by:
        `createTextModification` in interface `SetupFactory`
      Returns:
        a new object of class 'Text Modification'.
      Generated

    - #### createProductToProductVersionMapEntry

          public Map.Entry<Product,ProductVersion> createProductToProductVersionMapEntry()

      Generated

    - #### createProjectToStreamMapEntry

          public Map.Entry<Project,Stream> createProjectToStreamMapEntry()

      Generated

    - #### createInstallationToWorkspacesMapEntry

          public Map.Entry<Installation,EList<Workspace>> createInstallationToWorkspacesMapEntry()

      Generated

    - #### createWorkspaceToInstallationsMapEntry

          public Map.Entry<Workspace,EList<Installation>> createWorkspaceToInstallationsMapEntry()

      Generated

    - #### createStringSubstitutionTask

          public StringSubstitutionTask createStringSubstitutionTask()

      Specified by:
        `createStringSubstitutionTask` in interface `SetupFactory`
      Returns:
        a new object of class 'String Substitution Task'.
      Generated

    - #### createScopeTypeFromString

          public ScopeType createScopeTypeFromString(EDataType eDataType,
                                            String initialValue)

      Generated

    - #### convertScopeTypeToString

          public String convertScopeTypeToString(EDataType eDataType,
                                        Object instanceValue)

      Generated

    - #### createAttributeRule

          public AttributeRule createAttributeRule()

      Specified by:
        `createAttributeRule` in interface `SetupFactory`
      Returns:
        a new object of class 'Attribute Rule'.
      Generated

    - #### createLocationCatalog

          public LocationCatalog createLocationCatalog()

      Specified by:
        `createLocationCatalog` in interface `SetupFactory`
      Returns:
        a new object of class 'Location Catalog'.
      Generated

    - #### createRedirectionTask

          public RedirectionTask createRedirectionTask()

      Specified by:
        `createRedirectionTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Redirection Task'.
      Generated

    - #### createVariableChoice

          public VariableChoice createVariableChoice()

      Specified by:
        `createVariableChoice` in interface `SetupFactory`
      Returns:
        a new object of class 'Variable Choice'.
      Generated

    - #### createResourceCreationTask

          public ResourceCreationTask createResourceCreationTask()

      Specified by:
        `createResourceCreationTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Resource Creation Task'.
      Generated

    - #### createEclipseIniTask

          public EclipseIniTask createEclipseIniTask()

      Specified by:
        `createEclipseIniTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Eclipse Ini Task'.
      Generated

    - #### createTriggerFromString

          public Trigger createTriggerFromString(EDataType eDataType,
                                        String initialValue)

      Generated

    - #### convertTriggerToString

          public String convertTriggerToString(EDataType eDataType,
                                      Object instanceValue)

      Generated

    - #### createVariableTypeFromString

          public VariableType createVariableTypeFromString(EDataType eDataType,
                                                  String initialValue)

      Generated

    - #### convertVariableTypeToString

          public String convertVariableTypeToString(EDataType eDataType,
                                           Object instanceValue)

      Generated

    - #### createUnsignedPolicyFromString

          public UnsignedPolicy createUnsignedPolicyFromString(EDataType eDataType,
                                                      String initialValue)

      Generated

    - #### convertUnsignedPolicyToString

          public String convertUnsignedPolicyToString(EDataType eDataType,
                                             Object instanceValue)

      Generated

    - #### createCompoundTask

          public CompoundTask createCompoundTask(String name)

      Specified by:
        `createCompoundTask` in interface `SetupFactory`

    - #### createWorkspace

          public Workspace createWorkspace()

      Specified by:
        `createWorkspace` in interface `SetupFactory`
      Returns:
        a new object of class 'Workspace'.
      Generated

    - #### createLinkLocationTask

          public LinkLocationTask createLinkLocationTask()

      Specified by:
        `createLinkLocationTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Link Location Task'.
      Generated

    - #### createPreferenceTask

          public PreferenceTask createPreferenceTask()

      Specified by:
        `createPreferenceTask` in interface `SetupFactory`
      Returns:
        a new object of class 'Preference Task'.
      Generated

    - #### createLicenseInfoFromString

          public LicenseInfo createLicenseInfoFromString(EDataType eDataType,
                                                String initialValue)

      Generated

    - #### convertLicenseInfoToString

          public String convertLicenseInfoToString(EDataType eDataType,
                                          Object instanceValue)

      Generated

    - #### createTriggerSetFromString

          public Set<Trigger> createTriggerSetFromString(EDataType eDataType,
                                                String initialValue)

      Generated
        NOT

    - #### convertTriggerSetToString

          public String convertTriggerSetToString(EDataType eDataType,
                                         Object instanceValue)

      Generated
        NOT

    - #### getSetupPackage

          public SetupPackage getSetupPackage()

      Specified by:
        `getSetupPackage` in interface `SetupFactory`
      Returns:
        the package supported by this factory.
      Generated

    - #### getPackage

          @Deprecated
          public static SetupPackage getPackage()

      Deprecated.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html